#form-container {
    background-color: #FFFFFF;
    position: fixed;
    height: 60%;
    width: 50%;
    top: 12%;
    left: 17%;
    box-shadow: 0 1px 15px 1px rgba(39,39,39,.1);
    border-radius: 3px;
}

#form-teacher-container {
    background-color: #FFFFFF;
    position: fixed;
    height: 70%;
    width: 50%;
    top: 12%;
    left: 17%;
    box-shadow: 0 1px 15px 1px rgba(39,39,39,.1);
    border-radius: 3px;
}

form {
    height: 100%;
}

#form-title {
    position: relative;
    width: 100%;
    height: 20%;
}

#form-title-text {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 2%;
    transform: translateY(-50%)
}

#form-title-text h3 {
    color: #000000;
    padding-right: 2%;
    font-size: 1.6em;
    font-weight: 700;
}

.form-two-inputs {
    position: relative;
    height: 15%;
    width: 100%;
}

.form-subjects-and-classes {
    position: relative;
    height: 30%;
    width: 100%;
}

.form-two-inputs-area {
    position: relative;
    float: left;
    height: 100%;
    width: 50%
}

.element-label {
    position: relative;
    height: 40%;
    width: 100%;
}

.element-checkboxes-label {
    position: relative;
    height: 20%;
    width: 100%;
}

.element-label-text {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 5%;
    transform: translateY(-50%)
}

.element-label-text label {
    color: #9a9a9a;
    font-size: 0.8em;
    font-weight: 300;
}

.element-input {
    position: relative;
    height: 60%;
    width: 100%;
}

.form-input {
    background-color: #FFFFFF; 
    color: #2c2c2c;
    position: absolute;
    height: 80%;
    width: 95%;
    left: 2.5%;
    padding-left: 5%;
    border-radius: 30px;
    border: 1px solid #e3e3e3;
    font-size: 0.8em;
    font-weight: 300;
}

.form-input-date {
    background-color: #FFFFFF;
    color: #2c2c2c;
    position: absolute;
    height: 80%;
    width: 95%;
    left: 2.5%;
    padding-left: 5%;
    font-size: 0.8em;
    font-weight: 300;
}

.form-three-inputs {
    position: relative;
    height: 15%;
    width: 100%;
}

.form-three-inputs-area {
    position: relative;
    float: left;
    height: 100%;
    width: 33.33%
}

.form-submit {
    position: relative;
    height: 35%;
    width: 100%;
}

.form-teacher-submit {
    position: relative;
    height: 20%;
    width: 100%;
}

.save-button {
    background-color: #FB906E;
    color: #FFFFFF;
    position: absolute;
    width: 50%;
    top: 50%;
    left: 25%;
    border: none;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 1.5em;
    box-shadow: 0 1px 15px 1px rgba(39,39,39,.1);
    padding: 2%;
    transform: translateY(-50%);
    transition: opacity 0.5s;
    cursor: pointer;
    border-radius: 30px;
}

.save-button:hover {
    opacity: 0.7;
}

#image {
    background-color: #FFFFFF;
    position: fixed;
    height: 65%;
    width: 27%;
    top: 12%;
    left: 70%;
    box-shadow: 0 1px 15px 1px rgba(39,39,39,.1);
    border-radius: 3px;
}

#image img {
    height: 100%;
    width: 100%;
    border-radius: 3px;
}

/* Date form */

#grade_date_month {
    width: 56%;
    height: 100%;
    margin-right: 2%;
    appearance: none;
    outline: 0;
    border: 1px solid #e3e3e3;
    background: #FFFFFF;
    position: relative;
    display: flex;
    line-height: 3;
    overflow: hidden;
    border-radius: 30px;
    flex: 1;
    padding: 0 .5em;
    color: #2c2c2c;
    cursor: pointer;
    float: left;
    font-size: 1em;
    font-weight: 300;
}

#grade_date_day {
    width: 15%;
    height: 100%;
    margin-right: 2%;
    appearance: none;
    outline: 0;
    border: 1px solid #e3e3e3;
    background: #FFFFFF;
    position: relative;
    display: flex;
    line-height: 3;
    overflow: hidden;
    border-radius: 30px;
    flex: 1;
    padding: 0 .5em;
    color: #2c2c2c;
    cursor: pointer;
    float: left;
    font-size: 1em;
    font-weight: 300;
}

#grade_date_year {
    width: 25%;
    height: 100%;
    appearance: none;
    outline: 0;
    border: 1px solid #e3e3e3;
    background: #FFFFFF;
    position: relative;
    display: flex;
    line-height: 3;
    overflow: hidden;
    border-radius: 30px;
    flex: 1;
    padding: 0 .5em;
    color: #2c2c2c;
    cursor: pointer;
    float: left;
    font-size: 1em;
    font-weight: 300;
}

/* Checkboxes */

#subject-list li {
    list-style: none;
}

.container {
    position: relative;
    max-width: 640px;
    font-size: 0.8em;
    height: 70%;
    width: 100%;
    overflow: auto;
}

ul.ks-cboxtags {
    list-style: none;
}

ul.ks-cboxtags li{
  display: inline;
  position: absolute;
  left: 2.5%;
  width: 90%;
}

ul.ks-cboxtags li label{
    display: inline-block;
    background-color: rgba(255, 255, 255, .9);
    border: 1px solid rgba(139, 139, 139, .3);
    color: #adadad;
    border-radius: 25px;
    white-space: nowrap;
    margin: 3px 0px;
    user-select: none;
    transition: all .2s;
    margin-left: 2%;
}

ul.ks-cboxtags li label {
    padding: 4px 6px;
    cursor: pointer;
}

ul.ks-cboxtags li label::before {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    font-size: 0.8em;
    padding: 2px 6px 2px 2px;
    content: "\f067";
    transition: transform .3s ease-in-out;
}

ul.ks-cboxtags li input[type="checkbox"]:checked + label::before {
    content: "\f00c";
    transform: rotate(-360deg);
    transition: transform .3s ease-in-out;
}

ul.ks-cboxtags li input[type="checkbox"]:checked + label {
    border: 1px solid #204065;
    background-color: #2a5788;
    color: #fff;
    transition: all .2s;
}

ul.ks-cboxtags li input[type="checkbox"] {
  display: absolute;
}

ul.ks-cboxtags li input[type="checkbox"] {
  position: absolute;
  opacity: 0;
}

ul.ks-cboxtags li input[type="checkbox"]:focus + label {
  border: 2px solid #e9a1ff;
}

input[type='checkbox'] {
    margin-left: 1%;
}